core::trust::Store::Query::Errors Struct Reference

All Query-specific error/exception types go here. More...

`#include <store.h>`

Collaboration diagram for core::trust::Store::Query::Errors:

## Classes

struct | NoCurrentResult
| Thrown when trying to access the current result although the query status is not has_more_results. More...
struct | QueryIsInErrorState
| Thrown if functionality of a query is accessed although the query is in error state. More...

## Detailed Description

All Query-specific error/exception types go here.

Definition at line 90 of file store.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/store.h